using Application.Abstractions.Identity.Models;

namespace Application.Abstractions.Identity
{
    public interface IIdentityUserWriter
    {
        Task UpdateUserAsync(ApplicationUserDto user, CancellationToken ct);
        Task UpdateUserRolesAsync(string UserID, UserRolesDto? userRoles, CancellationToken ct);
    }
}
